Package org.eclipse.emf.cdo.transaction

## Interface CDOTransactionConflictEvent

- All Superinterfaces:
    `CDOViewEvent`, `org.eclipse.net4j.util.event.IEvent`

      public interface CDOTransactionConflictEvent
      extends CDOViewEvent

  A `view event` fired from a `transaction` for each `object` that enters the `conflict` state.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOObject` | `getConflictingObject()` |
    `boolean` | `isFirstConflict()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent

      `getSource`

- - ### Method Detail

    - #### getConflictingObject

          CDOObject getConflictingObject()

    - #### isFirstConflict

          boolean isFirstConflict()